<h2>Login Form</h2>
<p>{{profileForm.value | json}}</p>
<div class="jumbotron jumbotron-fluid">
    <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">

        <div class="form-Group">
            <label>First Name:</label>
            <input type="text" formControlName="firstName" placeholder="First Name">
            <span class="text-danger"
                *ngIf="(loginFormControl.firstName.touched || submitted) && loginFormControl.firstName.errors?.required">
                First Name is required.
            </span>
            <span class="text-danger"
                *ngIf="loginFormControl.firstName.errors?.minlength || loginFormControl.firstName.errors?.maxlength">
                First Name required minimum 3 character to maximun 50 character.
            </span>
            <span class="text-danger" *ngIf="loginFormControl.firstName.errors?.pattern">
                First Name is invalid.
            </span>
        </div>

        <div class="form-Group">
            <label>Last Name:</label>
            <input type="text" formControlName="lastName" placeholder="Last Name">
            <span class="text-danger"
                *ngIf="(loginFormControl.lastName.touched || submitted) && loginFormControl.lastName.errors?.required">
                Last Name is required.
            </span>
            <span class="text-danger"
                *ngIf="loginFormControl.lastName.errors?.minlength || loginFormControl.lastName.errors?.maxlength">
                Last Name required minimum 3 character to maximun 50 character.
            </span>
            <span class="text-danger" *ngIf="loginFormControl.lastName.errors?.pattern">
                Last Name is invalid.
            </span>
        </div>

        <div class="form-Group">
            <label>Email:</label>
            <input type="text" formControlName="email" placeholder="Email Id">
            <span class="text-danger"
                *ngIf="(loginFormControl.email.touched || submitted) && loginFormControl.email.errors?.required">
                Email is required.
            </span>
            <span class="text-danger"
                *ngIf="loginFormControl.email.errors?.email || loginFormControl.email.errors?.maxlength">
                Email format should be like this abc@gmail.com and maximum length 50.
            </span>
        </div>

        <div formGroupName="address">
            <h3>Address</h3>

            <div class="form-Group">
                <label>Street:</label>
                <input type="text" formControlName="street" placeholder="Street">
                <span class="text-danger"
                    *ngIf="(streetControl.touched || submitted) && streetControl.errors?.required">
                    Street is required.
                </span>
                <span class="text-danger" *ngIf="streetControl.errors?.minlength || streetControl.errors?.maxlength">
                    Street required minimum 3 character to maximun 150 character.
                </span>
                <span class="text-danger" *ngIf="streetControl.errors?.pattern">
                    Street is invalid.
                </span>
            </div>

            <div class="form-Group">
                <label>City:</label>
                <input type="text" formControlName="city" placeholder="City">
                <span class="text-danger" *ngIf="(cityControl.touched || submitted) && cityControl.errors?.required">
                    City is required.
                </span>
                <span class="text-danger" *ngIf="cityControl.errors?.minlength || cityControl.errors?.maxlength">
                    City required minimum 3 character to maximun 20 character.
                </span>
                <span class="text-danger" *ngIf="cityControl.errors?.pattern">
                    City is invalid.
                </span>
            </div>

            <div class="form-Group">
                <label>State:</label>
                <input type="text" formControlName="state" placeholder="State">
                <span class="text-danger" *ngIf="(stateControl.touched || submitted) && stateControl.errors?.required">
                    State is required.
                </span>
                <span class="text-danger" *ngIf="stateControl.errors?.minlength || stateControl.errors?.maxlength">
                    State required minimum 3 character to maximun 20 character.
                </span>
                <span class="text-danger" *ngIf="stateControl.errors?.pattern">
                    State is invalid.
                </span>
            </div>

            <div class="form-Group">
                <label>Pin Code:</label>
                <input type="text" formControlName="pin" placeholder="Pin Code">
                <span class="text-danger" *ngIf="(pinControl.touched || submitted) && pinControl.errors?.required">
                    Pin Code is required.
                </span>
                <span class="text-danger" *ngIf="pinControl.errors?.minlength || pinControl.errors?.maxlength">
                    Pin Code required 3 digit or maximum 10 digit.
                </span>
                <span class="text-danger" *ngIf="pinControl.errors?.pattern">
                    Pin Code is invalid.
                </span>
            </div>

        </div>

        <button class="btn btn-primary" type="submit" [disabled]="!profileForm.valid">Submit</button>
    </form>
</div>